<?php require('../../Connections/cn.php'); ?>
<?php
error_reporting(7); //esto debe ir en la primera linea
//session_start();
include('class.ezpdf.php');

//datos que tomo de la pagina de materias inscritas
$id_alumno=$_GET['id_alumno'];;
$id_periodo=$_GET['id_periodo'];
$codigo_sede=$_GET['codigo_sede'];
$carrera=$_GET['id_carrera'];

mysql_select_db($database_cn, $cn);
mysql_query ("SET NAMES 'utf8'");

//para tomar el id del alumno
$sql = "SELECT cedula, apellidos, nombres FROM alumnos where id_alumno='$id_alumno'";
$rs = mysql_query($sql, $cn) or die(mysql_error());
$row = mysql_fetch_assoc($rs);

$cedula= $row['cedula'];
$nombre_alumno= $row['apellidos'].', '.$row['nombres'];

//sede
$sql1 = "SELECT * FROM sedes where codigo='$codigo_sede'";
$rs1 = mysql_query($sql1, $cn) or die(mysql_error());
$row1 = mysql_fetch_assoc($rs1);
$sede=$row1['nombre_sede'];

//fin

//carreras
$sql2 = "SELECT * FROM carreras where id_carrera='$id_carrera'";
$rs2 = mysql_query($sql2, $cn) or die(mysql_error());
$row2 = mysql_fetch_assoc($rs2);
$carrera=$row2['nombre_carrera'];
//fin

//periodo
$sql3 = "SELECT * FROM periodos where id_periodo='$id_periodo'";
$rs3 = mysql_query($sql3, $cn) or die(mysql_error());
$row3 = mysql_fetch_assoc($rs3);
$periodo=$row3['codigo'].'-'.$row3['tipo'].' ('.$row3['descripcion'].')';
//fin

if($cn!=0)
{
	$sql4 = "Select
	inscripciones.id,
	inscripciones.id_materia,
	materias.nombre_materia,
	materias.uc,
	inscripciones.id_seccion,
	docentes.apellidos,
	docentes.nombres,
	inscripciones.fecha,
	inscripciones.turno
	From
	inscripciones
	Inner Join docentes ON inscripciones.id_docente = docentes.id_docente
	Inner Join materias ON inscripciones.id_materia = materias.id_materia AND inscripciones.id_carrera = materias.id_carrera
	WHERE 
	inscripciones.id_periodo='$id_periodo' AND 
	inscripciones.sede='$codigo_sede' AND 
	inscripciones.id_carrera='$id_carrera' AND 
	inscripciones.id_alumno='$id_alumno' 
	ORDER BY inscripciones.id_materia";

	$rs4 = mysql_query($sql4, $cn) or die(mysql_error());
	$total= mysql_num_rows($rs4);

	}
else{
	die("error de conexion");
}

$titulo[0]=utf8_decode('<b>'.'    Código'.'</b>');
$titulo[1]='<b>'.'                    Unidad Curricular'.'</b>';
$titulo[2]=utf8_decode('<b>'.'  U.C.'.'</b>');
$titulo[3]=utf8_decode('<b>'.'  Sección'.'</b>');
$titulo[4]='<b>'.'   Turno'.'</b>';
//$titulo[6]=utf8_decode('Fecha Inscripción ');
$total_creditos=0;
while($row4=mysql_fetch_array($rs4)){
    $turno_alum=$row4['turno'];
    switch ($turno_alum) {
     case 0:
      $turno='No Aplica';
      break;
    case 1:
       $turno='Matutino';
      break;
    case 2:
       $turno='Vespertino';
	case 3:
       $turno='Diurno';
	case 4:
       $turno='Nocturno';
	case 5:
       $turno='Sabatino';
	case 6:
       $turno='Mixto';
      break;
   }
	$registro[$titulo[0]]= $row4['id_materia'];
	$registro[$titulo[1]]= utf8_decode($row4['nombre_materia']);
	$registro[$titulo[2]]= '     '.$row4['uc'];
	$registro[$titulo[3]]= '     '.$row4['id_seccion'];
	$registro[$titulo[4]]= '  '.$turno;
	
	//$registro[$titulo[6]]= $row4['fecha_inscripcion'];
	$total_creditos=$total_creditos+$row4['uc'];
	$tabla[]=$registro;
}
//totales unidades de credito
	$registro[$titulo[0]]= '';
	$registro[$titulo[1]]= utf8_decode('                 Total de Unidades Crédito Inscritas:');
	$registro[$titulo[2]]= '     '.$total_creditos;
	$registro[$titulo[3]]= '';
	//$registro[$titulo[4]]= '';
	$registro[$titulo[4]]= '';

	$tabla[]=$registro;
//fin totales

$pdf=new Cezpdf('letter','portrait');
ini_set('memory_limit','1024M');
ini_set('max_execution_time ','0');
$pdf->ezSetCmMargins(1,2,2,2); // Configuración de los margenes en centímetros
$pdf->ezStartPageNumbers(575,10,9,'','',1); // Insertar el número de página

//datos del alumno
	$encab=$pdf->openObject();
	$pdf->saveState();
	$pdf->setStrokeColor(0,0,0);
	//$pdf->Rectangle(25,630,550,50);
	$pdf->selectFont('./fonts/Helvetica.afm',8);
	$pdf->addText(505,730,9,"Fecha: ".date("d/m/Y")); // Agregar la fecha
	$pdf->addText(30,665,11,utf8_decode("<b>CÉDULA:</b> ".$cedula."     <b>ESTUDIANTE:</b> ".$nombre_alumno));
	$pdf->addText(30,650,11,utf8_decode("<b>CARRERA:</b> ").$carrera);
	$pdf->addText(30,635,11,utf8_decode("<b>MENCIÓN:</b> ").utf8_decode("CURSO DE INICIACIÓN UNIVERSITARIA"));
	$pdf->addText(30,620,11,utf8_decode("<b>LAPSO:</b> ".$periodo."   <b>SEDE:</b> ".$sede));
	$pdf->restoreState();
	$pdf->closeObject();
	$pdf->addObject($encab,'all');
	
//para colocar la imagen
$imagen=ImageCreatefromjpeg('../../imagenes/logo_mpppf.jpg');
$pdf->addImage($imagen,60,$pdf->y-25,500,0);
$pdf->selectFont('/fonts/Helvetica.afm');
$diff=array(225=>'aacute',233=>'eacute',
            237=>'iacute',243=>'oacute',
            250=>'uacute',252=>'udieresis',
            241=>'ntilde',209=>'Ntilde');
$pdf->selectFont('fonts/Helvetica.afm',array('encoding'=>'WinAnsiEncoding','differences'=>$diff));
$pdf->ezsetdy(-25);
$pdf->ezText(utf8_decode("<b>Dirección de Secretaría General - Unidad de Control de Estudios de Pregrado</b>"),9,array('justification'=>'center'));
$pdf->ezsetdy(-15);
$pdf->ezText(utf8_decode("<b>COMPROBANTE DE INSCRIPCIÓN</b>"),13,array('justification'=>'center'));
$pdf->ezsetdy(-90);
$pdf->ezTable($tabla, $row4, '', array('width'=> 550)); 


//uf_print_autorizacion($pdf);
if ($pdf->ezPageCount==$thisPageNum)
	{// Hacemos el commit de los registros que se desean imprimir
		$pdf->transaction('commit');
	}
	else
	{// Hacemos un rollback de los registros, agregamos una nueva página y volvemos a imprimir
		$pdf->transaction('rewind');
		//$pdf->ezNewPage();
		//uf_print_autorizacion($pdf);
		//$pdf->Rectangle(15,40,585,40);
		//pie_pagina($pdf);

	}	
$pdf->ezStream();


function pie_pagina(&$pdf)
{
	
}
?>